package com.xunhong.erp.turbo.api.rbac.api;

import com.xunhong.erp.turbo.api.rbac.dto.cmd.UserRoleCreateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.UserRoleUpdateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.qry.UserRoleListQry;
import com.xunhong.erp.turbo.api.rbac.dto.vo.UserRoleVO;

import java.util.List;

public interface UserRoleServiceI {
	List<UserRoleVO> list(UserRoleListQry userRoleListQry);

	List<UserRoleVO> create(UserRoleCreateCmd userRoleCreateCmd);

	List<UserRoleVO> update(UserRoleUpdateCmd userRoleUpdateCmd);
}
